@charset 'UTF-8';

.btn:focus {
    border: 1px rgba(0, 0, 0, 0) solid;
    box-shadow: none !important;
}

img {
    max-width: 100%;
}

.product-event-card {
    position: relative;
    border-radius: 50%;
    width: 100%;
    height: 100%;
}

.product-event-card::before {
    content: '';
    position: absolute;
    display: block;
    left: 6px;
    top: 26px;
    background-image: url(../img/yasa-icon.png);
    background-position: bottom right;
    background-size: 100%;
    background-repeat: no-repeat;
    width: 80px;
    height: 49px;
    transform: scaleX(-1) rotate(38deg);
    z-index: 1;
}

.product-event-card::after {
    content: '';
    position: absolute;
    display: block;
    right: -10px;
    bottom: 0;
    background-image: url(../img/seed-yasa.png);
    background-position: bottom right;
    background-size: 75%;
    background-repeat: no-repeat;
    width: 136px;
    height: 112px;
    transition: all 0.35s cubic-bezier(0.34, 1.56, 0.64, 1);
    z-index: 2;
    pointer-events: none;
    animation: gentleFloat 5s ease-in-out infinite;
}

@keyframes gentleFloat {

    0%,
    100% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-15px);
    }
}



.product-event-card:hover::after {
    right: -10px;
    bottom: 0;
    background-image: url(../img/yasa_peo01.png);
    background-position: bottom right;
    background-size: 75%;
    background-repeat: no-repeat;
    width: 113px;
    height: 152px;
    transform: scale(1);
}

.product-event-card .product-event-img {
    background-image: url(../img/con-info-bg.png);
    background-position: top 20% left 60%;
    background-size: 90%;
    background-repeat: no-repeat;
    position: relative;
    max-width: 380px;
    margin: 0 auto;
    transition: transform 0.3s ease-in;
}

.product-event-card:hover .product-event-img {
    transform: translateY(-10px) scale(1.03);
    transition: transform 0.6s cubic-bezier(0.22, 1, 0.36, 1) 0.12s;
}

.product-event-card .product-event-img::before {
    content: '';
    display: block;
    padding-bottom: 100%;
    border-radius: 50%;
}

.product-event-card .product-event-info {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    align-items: center;
    justify-content: center;
    width: 75%;
    height: 100%;
}


.product-event-card .product-event-info a {
    text-decoration: none;
    color: #0066B5;
    font-size: 18px;
    line-height: 1.85;
    letter-spacing: 1px;
    font-weight: bold;
    text-align: center;
}

.product-event-card .product-date {
    font-size: 13px;
    color: #e68894;
    letter-spacing: 0;
    display: inline;
    font-weight: 500;
    border: 1px #e68894 solid;
    border-radius: 50px;
    margin-top: 0.5rem;
    padding: 3px 8px;
}

@media (max-width: 1399px) {
    .product-event-card::before {
        left: 0px;
        top: 13px;
    }
}

@media (max-width: 1199px) {
    .product-event-card::after {
        background-size: 55%;
    }
}

@media (max-width: 991px) {
     .product-event-card::after {
        background-size: 75%;
    }
    .product-event-card::before {
        left: -4px;
        top: 27px;
    }
}

@media (max-width: 767px) {
    .product-event-card::before {
        left: 66px;
        top: 27px;
    }

    .product-event-card::after {
        right: 30px;
        bottom: 30px;
    }
}

@media (max-width: 475px) {
    .product-event-card::before {
        left: 10px;
        top: 30px;
    }

    .product-event-card::after {
        right: -10px;
        bottom: 0;
    }
}

@media (max-width: 390px) {
    .product-event-card::before {
        left: 5px;
        top: 35px;
    }
}
